# Interface methods for submodule: ContourSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointBasedSpatialObjectProxy as _PointBasedSpatialObjectProxy


# Interface methods for class: ContourSpatialObject
class ContourSpatialObjectProxy(_PointBasedSpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def GetControlPoints(self):
		""""""
		...

	def SetControlPoints(self, points) -> None:
		""""""
		...

	def AddControlPoint(self, point) -> None:
		""""""
		...

	def GetControlPoint(self, id: int):
		""""""
		...

	def GetNumberOfControlPoints(self) -> int:
		""""""
		...

	def SetInterpolationMethod(self, _arg) -> None:
		""""""
		...

	def GetInterpolationMethod(self):
		""""""
		...

	def SetInterpolationFactor(self, _arg: int) -> None:
		""""""
		...

	def GetInterpolationFactor(self) -> int:
		""""""
		...

	def SetIsClosed(self, _arg: bool) -> None:
		""""""
		...

	def GetIsClosed(self) -> bool:
		""""""
		...

	def IsClosedOn(self) -> None:
		""""""
		...

	def IsClosedOff(self) -> None:
		""""""
		...

	def GetOrientationInObjectSpace(self) -> int:
		""""""
		...

	def SetAttachedToSlice(self, _arg: int) -> None:
		""""""
		...

	def GetAttachedToSlice(self) -> int:
		""""""
		...

	def Update(self) -> None:
		""""""
		...

